'''
Flask-SpaceAuth
---------------
Simple generic user authentication module using `Warsaw Hackerspace SSO Service
<https://code.hackerspace.pl/q3k/sso>`_.
Integrates with Flask-Login and Flask-OAuthlib
'''

from setuptools import setup

setup(
    name='Flask-SpaceAuth',
    version='0.2.0',
    description='Warsaw Hackerspace SSO Flask module',
    long_description=__doc__,
    url='https://code.hackerspace.pl/informatic/flask-spaceauth',
    author='Piotr Dobrowolski',
    author_email='informatic@hackerspace.pl',
    license='MIT',
    classifiers=[
        'Development Status :: 4 - Beta',
        'Environment :: Web Environment',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Operating System :: OS Independent',
        'Programming Language :: Python',
        'Programming Language :: Python :: 2',
        'Programming Language :: Python :: 2.7',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.4',
        'Topic :: Internet :: WWW/HTTP :: Dynamic Content',
        'Topic :: Software Development :: Libraries :: Python Modules'
    ],
    packages=['spaceauth'],
    install_requires=['authlib', 'Flask-Login>=0.4', 'requests>=2.0', 'blinker'],
)
